/**
 * Dynamically show user instance changes on the Theme Hues end user configuration form.
 */

ThemeHues = {
  update: function(el) {
    var a = $(el).attr('name').split("-");
    var selector_id = a[3];
    if (!Number(selector_id)) {
      return;
    }
    
    var selector = $('input[name=js-' + selector_id + ']').val();
    var property = $(el).attr('rel');
    var value    = $(el).val();
    
    if (property.match(/color/) && !value.match(/^#/)) {
      value = '#' + value;
    }
    
    $(selector).css(property, value);
  }
};

Drupal.behaviors.theme_hues = function() {
  // bind to our own input fields
  $('input[name^=ruleset]').bind('change', function() {
    ThemeHues.update(this);
  });
};